/// class PD.Manage.Modules.LicenseManagerContextMenu
// using PD.Web.UI.Controls.ContextMenuSegment

PD.Manage.Modules.LicenseManagerContextMenu =
PD.Web.UI.Controls.ContextMenuSegment.extend({

    //===================================
    // EVENT HANDLERS
    //===================================

    onRegisterItems: function (e) {

        e.registerItem(new PD.Web.UI.Controls.ContextMenuCommandItem({
            commandId: "pd/license-manager:license/delete"
        }));
        
        e.addSeparator();

        e.registerItem(new PD.Web.UI.Controls.ContextMenuCommandItem({
            commandId: "pd/license-manager:license/view"
        }));
        
    },

    onOpen: function (e) {

        PD.context.get_default().get_commands().setState({
            "pd/license-manager/context-menu": {
                selection: this.get_context()["selection"]
            }
        });

    }

});